Subject: Ghc 8.6.5 fails to find core package database

From: Gabriel Giamarchi <[email-masked]>
Date: Sat, 17 Aug 2019 17:21:08 +0200

Installing only 'ghc 8.6.5' (Glasgow Haskell compiler) and sourcing

'~/.guix-profile/etc/profile' leads to ghc not finding core modules.
('ghci' doesn't find System.IO for instance).

This is due to $GHC_PACKAGE_PATH not containing ghc 8.6.5's 
package.conf.d, but
instead ghc 8.4.3's database.
Note: Not setting this variable leads to a working ghc (will search in 
default
location), but is required to install additional packages via guix.

The issue might come from guix/profiles.scm:812, since
   (module-ref (resolve-interface '(gnu packages haskell)) 'ghc)
evaluates to <package [email-masked] gnu/packages/haskell.scm:445> in my repl.